<script>
import { mean } from "d3-array";

  // Imports
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import CirclePlot from "./_design_2_circular.svelte";

  // Size and margins
  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Configurations
  const s1 = {
    city: "Chicago",
  };
  const s2 = {
    city: "Baltimore",
  };
  const s3 = {
    city: "Los Angeles",
  };

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/AVGdaily_heating_cooling.json");
  })
  
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}

  <CirclePlot data={data} {...s1}/>
  <CirclePlot data={data} {...s2}/>
  <CirclePlot data={data} {...s3}/>
  

{/if}


<p  style="font-size:12">Graph 2:
  Average montly heating  and cooling consumption per city</p>
  